Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message.wap
Class PushSIMessage

    java.lang.Object
      hr.tis.mgw.client.message.Message
          hr.tis.mgw.client.message.AbstractBinaryMessage
              hr.tis.mgw.client.message.wap.PushSIMessage

All Implemented Interfaces:
  java.io.Serializable

public class PushSIMessage
extends AbstractBinaryMessage

Service Indication (SI) push message, as per WAP Service Indication specification. It gets split into multiple binary messages, exposed as array of attachments (`getAttachments()` method). Number of these messages can vary, though in most cases it will be only one.

It provides a means to notify a client that an external asynchronous event has occurred and indicate a service that can be loaded in order to react to that event. This is accomplished by sending a message to the client that informs the end-user about the event, and a URI from where the appropriate service can be loaded. For example, the message could read �You have new voice mails�, and the URI points to the voice mail service.

The SI content type does also allow the level of user-intrusiveness to be controlled, deletion of SIs stored on a client (both manually and automatically by using the concept of expiration), and replacement of stored SIs. A mechanism to resolve race conditions is also specified.

See Also:
  Serialized Form

Constructor Summary
`PushSIMessage(java.lang.String id)` Convenient constructor for deleting an old SI message, specified by ID.
`PushSIMessage(java.lang.String text, java.net.URI uri)` Convenient constructor for creating simple SI message, containing only service URI and textual description.
`PushSIMessage(java.lang.String text, java.net.URI uri, Action action, java.util.Date creationTime, java.util.Date expirationTime, java.lang.String id, InfoItem[] items)` All mighty constructor, exposing whole set of parameters.

Method Summary
`Action` | `getAction()`
`Attachment[]` | `getAttachments()` Returns array of Attachment objects, that are to be sent as ParlayX SOAP attachments.
`java.util.List` | `getBinaryAttachmentsList()`
`java.lang.String` | `getContentType()`
`java.util.Date` | `getCreationTime()`
`java.util.Date` | `getExpirationTime()`
`java.lang.String` | `getId()`
`InfoItem[]` | `getInfoItems()`
`java.lang.String` | `getText()`
`java.net.URI` | `getURI()`
`java.lang.String` | `toString()`

Methods inherited from class hr.tis.mgw.client.message.Message
`getSubject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PushSIMessage

    public PushSIMessage(java.lang.String id)

  Convenient constructor for deleting an old SI message, specified by ID. It's the same as: `new PushSIMessage(null, null, Action.DELETE, null, null, id, null);`

Parameters:
  `id` - SI message ID

### PushSIMessage

    public PushSIMessage(java.lang.String text,
                         java.net.URI uri)

  Convenient constructor for creating simple SI message, containing only service URI and textual description. `new PushSIMessage(text, uri, null, null, null, null, null);`

Parameters:
  `text` -
  `uri` -

### PushSIMessage

    public PushSIMessage(java.lang.String text,
                         java.net.URI uri,
                         Action action,
                         java.util.Date creationTime,
                         java.util.Date expirationTime,
                         java.lang.String id,
                         InfoItem[] items)

  All mighty constructor, exposing whole set of parameters. Beside standard function of indicating service to client, it can also replace or delete old SI message by specifying apropriate ID.

Parameters:
  `text` - textual service (URI) description
  `uri` - specifies the URI that is used to access the service. If it is empty, or omitted, the message corresponds to a notification (no service can be initiated)
  `action` - specifies the action to be taken when the SI is received
  `creationTime` - specifies the time associated with the creation or last modification of the content indicated by URI, which may differ from the time when the SI was created
  `expirationTime` - specifies the time when the SI expires and thereby be automatically deleted or marked as 'expired'. If this argument is not specified, the SI never expires and is thus not subject to automatic deletion
  `id` - provides identity in order to make it possible to distinguish between different SIs. If this argument is not specified, its value is considered to be the same as the value of the URI argument
  `items` - these specify additional arguments, specially interpreted by client

Method Detail

### getAction

    public Action getAction()

### getCreationTime

    public java.util.Date getCreationTime()

### getExpirationTime

    public java.util.Date getExpirationTime()

### getId

    public java.lang.String getId()

### getInfoItems

    public InfoItem[] getInfoItems()

### getText

    public java.lang.String getText()

### getURI

    public java.net.URI getURI()

### getBinaryAttachmentsList

    public java.util.List getBinaryAttachmentsList()

  Specified by:
    `getBinaryAttachmentsList` in class `AbstractBinaryMessage`

### getContentType

    public java.lang.String getContentType()

  Specified by:
    `getContentType` in class `AbstractBinaryMessage`

### getAttachments

    public Attachment[] getAttachments()

  Description copied from class: `Message`
  Returns array of Attachment objects, that are to be sent as ParlayX SOAP attachments.

  Overrides:
    `getAttachments` in class `Message`
  Returns:
    array of Attachments
  See Also:
    `MmsMessage`, `MmsPart`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.